<template>
  <v-form
    ref="form"
    class="my-8"
    lazy-validation
    @submit.prevent="login"
  >
    <v-text-field
      v-model="email"
      label="Correo electrónico"
      :rules="emailRules"
      required
      outlined
    />
    <v-text-field
      v-model="password"
      name="password"
      label="Contraseña"
      :type="visibility ? 'text' : 'password'"
      :rules="passwordRules"
      :append-icon="visibility ? 'mdi-eye' : 'mdi-eye-off'"
      required
      outlined
      @click:append="visibility = !visibility"
    />
    <p
      class="body-2 forgot-text-btn"
      @click="forgotPassword"
    >
      ¿Olvidaste tu contraseña?
    </p>
    <v-btn
      block
      class="login-button"
      type="submit"
      height="50"
      color="primary"
      :loading="loading"
    >
      Ingresar
    </v-btn>
  </v-form>
</template>
<script>
import { emailRules, passwordRules } from '~/helpers/validations';

export default {
  name: 'LoginForm',
  props: {
    loading: {
      type: Boolean,
      default: false,
    },
  },
  emits: [
    'submit-login',
    'forgot-password',
  ],
  data() {
    return {
      email: '',
      emailRules,
      password: '',
      passwordRules,
      visibility: false,
    };
  },
  methods: {
    login() {
      const ok = this.$refs.form.validate();
      if (!ok) {
        return;
      }

      this.$emit('submit-login', {
        email: this.email,
        password: this.password,
      });
    },
    forgotPassword() {
      this.$emit('forgot-password');
    },
  },
};
</script>
<style scoped lang="scss">
.login-card {
  padding: 0 20px;
  display:flex;
  align-items: center;
}
.forgot-text-btn {
  cursor: pointer;
  text-align: right;
}
</style>
